Update independent Price Engine filters and switches
curl --request PATCH \
--url https://api-v2.watchcollect.com/v2/market/price-engine/configurations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api-v2.watchcollect.com/v2/market/price-engine/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/market/price-engine/configurations/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"status": "accepted",
"event_ids": [
"018f06e2-4f8d-7c01-8a0d-cc6fd78f7002"
],
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}{
"status": "accepted",
"event_ids": [
"018f06e2-4f8d-7c01-8a0d-cc6fd78f7002"
],
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Market — Price Engine
Update independent Price Engine filters and switches
PATCH
/
v2
/
market
/
price-engine
/
configurations
/
{id}
Update independent Price Engine filters and switches
curl --request PATCH \
--url https://api-v2.watchcollect.com/v2/market/price-engine/configurations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api-v2.watchcollect.com/v2/market/price-engine/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/market/price-engine/configurations/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"status": "accepted",
"event_ids": [
"018f06e2-4f8d-7c01-8a0d-cc6fd78f7002"
],
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}{
"status": "accepted",
"event_ids": [
"018f06e2-4f8d-7c01-8a0d-cc6fd78f7002"
],
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Flexible market filter grammar. Documented fields are typed; additional fields are tolerated for forward-compatible frontend experiments and ignored until implemented.
Show child attributes
Show child attributes
Show child attributes
Show child attributes